GDCM: gdcm::SurfaceReader Class Reference

GDCM 3.0.25

Public Member Functions | Protected Member Functions | List of all members
gdcm::SurfaceReader Class Reference

This class defines a SURFACE IE reader. More...

`#include <gdcmSurfaceReader.h>`

Inheritance diagram for gdcm::SurfaceReader:
[legend]
Collaboration diagram for gdcm::SurfaceReader:
[legend]

## Public Member Functions
| SurfaceReader ()
| ~SurfaceReader () override
unsigned long | GetNumberOfSurfaces () const
bool | Read () override
| Read.
Public Member Functions inherited from gdcm::SegmentReader
| SegmentReader ()
| ~SegmentReader () override
SegmentVector | GetSegments ()
SegmentVector | GetSegments () const
Public Member Functions inherited from gdcm::Reader
| Reader ()
virtual | ~Reader ()
bool | CanRead () const
File & | GetFile ()
| Set/Get File.
const File & | GetFile () const
| Set/Get File.
size_t | GetStreamCurrentPosition () const
bool | ReadSelectedPrivateTags (std::set< PrivateTag > const &ptags, bool readvalues=true)
| Will only read the specified selected private tags.
bool | ReadSelectedTags (std::set< Tag > const &tags, bool readvalues=true)
| Will only read the specified selected tags.
bool | ReadUpToTag (const Tag &tag, std::set< Tag > const &skiptags=std::set< Tag >())
void | SetFile (File &file)
| Set/Get File.
void | SetFileName (const char *filename_native)
void | SetStream (std::istream &input_stream)
| Set the open-ed stream directly.

## Protected Member Functions
bool | ReadPointMacro (SmartPointer< Surface > surface, const DataSet &surfaceDS)
bool | ReadSurface (const Item &surfaceItem, const unsigned long idx)
bool | ReadSurfaces ()
Protected Member Functions inherited from gdcm::SegmentReader
bool | ReadSegment (const Item &segmentItem, const unsigned int idx)
bool | ReadSegments ()
Protected Member Functions inherited from gdcm::Reader
std::istream * | GetStreamPtr () const
bool | ReadDataSet ()
bool | ReadMetaInformation ()
bool | ReadPreamble ()

## Additional Inherited Members
Public Types inherited from gdcm::SegmentReader
typedef std::vector< SmartPointer< Segment > > | SegmentVector
Protected Types inherited from gdcm::SegmentReader
typedef std::map< unsigned long, SmartPointer< Segment > > | SegmentMap
Protected Attributes inherited from gdcm::SegmentReader
SegmentMap | Segments
Protected Attributes inherited from gdcm::Reader
SmartPointer< File > | F

## Detailed Description

This class defines a SURFACE IE reader.

It reads surface mesh module attributes.

See also
  PS 3.3 A.1.2.18 , A.57 and C.27

## Constructor & Destructor Documentation

## ◆ SurfaceReader()

gdcm::SurfaceReader::SurfaceReader | ( |  | ) |

## ◆ ~SurfaceReader()

gdcm::SurfaceReader::~SurfaceReader | ( |  | ) |
| override

## Member Function Documentation

## ◆ GetNumberOfSurfaces()

unsigned long gdcm::SurfaceReader::GetNumberOfSurfaces | ( |  | ) | const

## ◆ Read()

bool gdcm::SurfaceReader::Read | ( |  | ) |
| overridevirtual

Read.

Reimplemented from gdcm::SegmentReader.

## ◆ ReadPointMacro()

bool gdcm::SurfaceReader::ReadPointMacro | ( | SmartPointer< Surface > | surface,
|  | const DataSet & | surfaceDS )
| protected

## ◆ ReadSurface()

bool gdcm::SurfaceReader::ReadSurface | ( | const Item & | surfaceItem,
|  | const unsigned long | idx )
| protected

## ◆ ReadSurfaces()

bool gdcm::SurfaceReader::ReadSurfaces | ( |  | ) |
| protected

The documentation for this class was generated from the following file:

- gdcmSurfaceReader.h